summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD32
-rw-r--r--evernote14
3 files changed, 66 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ed9d589fc84
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+# Generated by mksrcinfo v8
+# Sat Dec 26 16:25:53 UTC 2015
+pkgbase = evernote
+ pkgdesc = Evernote, installs with wine
+ pkgver = 5.8.13.8152
+ pkgrel = 1
+ url = http://evernote.com
+ arch = x86_64
+ license = unknown
+ depends = wine
+ depends = wine_gecko
+ optdepends = xembedsniproxy: for tray icon under KDE Plasma
+ noextract = Setup.exe
+ source = evernote
+ source = Setup.exe::http://cdn1.evernote.com/win5/public/Evernote_5.8.13.8152.exe
+ md5sums = e9e2926db88f94b467aeb6f599fcbb73
+ md5sums = c06c90cbbaa527a21256cc716769610b
+
+pkgname = evernote
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..4e4051ca848
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Maintainer: Bruno Wowk <bruno.wowk@gmail.com>
+pkgname="evernote"
+pkgver="5.8.13.8152"
+pkgrel=1
+epoch=
+pkgdesc="Evernote, installs with wine"
+arch=("x86_64")
+url="http://evernote.com"
+license=('unknown')
+groups=()
+depends=('wine' 'wine_gecko')
+makedepends=()
+checkdepends=()
+optdepends=('xembedsniproxy: for tray icon under KDE Plasma')
+provides=()
+conflicts=()
+replaces=()
+backup=()
+options=()
+install=
+changelog=
+source=(evernote "Setup.exe::http://cdn1.$pkgname.com/win5/public/Evernote_${pkgver}.exe")
+noextract=("Setup.exe")
+md5sums=("e9e2926db88f94b467aeb6f599fcbb73"
+ "c06c90cbbaa527a21256cc716769610b")
+
+package() {
+ install -d -m755 "$pkgdir"/usr/share/evernote
+ cp -raL "$srcdir"/Setup.exe "$pkgdir"/usr/share/evernote
+ install -d -m755 "$pkgdir"/usr/bin
+ install -m755 evernote "$pkgdir"/usr/bin
+}
diff --git a/evernote b/evernote
new file mode 100644
index 00000000000..4b0b77a38f6
--- /dev/null
+++ b/evernote
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+export WINEARCH=win64 WINEPREFIX="$HOME/.evernote/wine" WINEDEBUG=-all
+
+evernote_wine="${HOME}/.evernote/wine"
+mkdir -p "${evernote_wine}" || exit 1
+
+evernote_path="${evernote_wine}/drive_c/Program Files (x86)/Evernote/Evernote/Evernote.exe"
+if [ ! -f "${evernote_path}" ] ; then
+ wine /usr/share/evernote/Setup.exe /quiet || exit 1
+ echo '5.8.13.8152 is the latest stable and fully usable Evernote version under wine. To prevent update prompts, uncheck "Automatically ckeck for updates" under Tools > Options'
+fi
+
+wine "${evernote_path}"